Bug 1877847 - [RFE] Requesting to include /usr/sbin/yum-complete-transaction in RHEL 8
Summary: [RFE] Requesting to include /usr/sbin/yum-complete-transaction in RHEL 8
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: yum
Version: 8.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Lukáš Hrázký
QA Contact: swm-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 15:03 UTC by Rajesh Dulhani
Modified: 2021-09-02 14:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5496191 0 None None None 2020-12-28 07:48:37 UTC

Description Rajesh Dulhani 2020-09-10 15:03:48 UTC
Description of problem:

yum-complete-transaction is removed in the latest RHEL 8 from the yum-utils package.





Version-Release number of selected component (if applicable):

yum-utils-4.0.12-4.el8_2.noarch


How reproducible:


RHEL 7 system.

# rpm -ql yum-utils-1.1.31-54.el7_8.noarch  | grep bin
/usr/bin/debuginfo-install
/usr/bin/find-repos-of-install
/usr/bin/needs-restarting
/usr/bin/package-cleanup
/usr/bin/repo-graph
/usr/bin/repo-rss
/usr/bin/repoclosure
/usr/bin/repodiff
/usr/bin/repomanage
/usr/bin/repoquery
/usr/bin/reposync
/usr/bin/repotrack
/usr/bin/show-changed-rco
/usr/bin/show-installed
/usr/bin/verifytree
/usr/bin/yum-builddep
/usr/bin/yum-config-manager
/usr/bin/yum-debug-dump
/usr/bin/yum-debug-restore
/usr/bin/yum-groups-manager
/usr/bin/yumdownloader
/usr/sbin/yum-complete-transaction  <---------
/usr/sbin/yumdb


yum-complete-transaction has been removed from RHEL 8 system.


# rpm -ql yum-utils-4.0.12-4.el8_2.noarch | grep bin 
/usr/bin/debuginfo-install
/usr/bin/find-repos-of-install
/usr/bin/needs-restarting
/usr/bin/package-cleanup
/usr/bin/repo-graph
/usr/bin/repoclosure
/usr/bin/repodiff
/usr/bin/repomanage
/usr/bin/repoquery
/usr/bin/reposync
/usr/bin/repotrack
/usr/bin/yum-builddep
/usr/bin/yum-config-manager
/usr/bin/yum-debug-dump
/usr/bin/yum-debug-restore
/usr/bin/yumdownloader



Expected results:

This feature is been used on rhel 7 a lot during times where  a server fails to patch properly , and / or a satellite issue occurs and patching doesn't complete properly.



Additional info:

Comment 7 Rob Freeman 2020-12-04 14:49:52 UTC
Our issue with the /usr/sbin/yum-complete-transaction command being missing, has to do with our thousands of lines of satellite automation patching scripts. Which is based on the output of this command "yum-complete-transaction" , several different supporting automation scripts will trigger. I need to know if this is going to be added back or not ?  Could someone please let me know, if it is going to be added back, please give me an estimate of time.   Thank you Rob Freeman 918.406.9534

Comment 8 Jaroslav Mracek 2021-03-24 07:48:20 UTC
The problem with interrupted transaction can be resolved by `yum remove --duplicates`. It removes duplicates from the system and reinstall potential broken packages. In the second step I can recommend to try to redo the broken transaction using `yum history redo <transaction id>`. The transaction ID can be taken from output of `yum history` which lists all transactions.

Comment 9 Lukáš Hrázký 2021-05-17 14:40:25 UTC
Hello Rob, Sorry about the late response.

I think we'll need more details about this. We are not planning to add support for the old format that  yum-complete-transaction has used. Do you really have thousands of lines specifically working with this file format? What are you doing with it? What are the reasons for that? We should figure out a new solution to what you need, the old format was not good and it doesn't make sense from technical standpoint to support it.

We have a new JSON format for storing transactions, which is used by the `dnf history store` and `dnf history replay` commands. The store command works with transactions from the transaction history. We can add support for storing unfinished transactions, though it will likely not be automatically e.g. after pressing 'n' when asked whether to perform a transaction. Instead, we'd add a switch, e.g. `dnf install foo --store-transaction` which would (instead of doing the install) just store the file. The syntax of that is up for discussion.


Note You need to log in before you can comment on or make changes to this bug.